Bug 1342 - The atd.service fails to start with a "garbled option -l" error
: The atd.service fails to start with a "garbled option -l" error
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: Dmitry Mikhirev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-26 00:15 MSK by Giovanni Mariani
Modified: 2013-01-09 10:10 MSK (History)
3 users (show)

See Also:
RPM Package: at-3.1.13-7.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2012-12-26 00:15:15 MSK
Description of problem:
As is installed, the atd.service fails to start and prints this error message in the system log:
"Dec 25 11:26:17 Rivendell.Middleearth atd[1753]: garbled option -l"

A look at the .service file shows that atd is invoked with two command line options: "-f" and "$ATD_OPTS"; the latter is defined in the /etc/sysconfig/atd file as: ATD_OPTS="-l $LOAD", where LOAD is equal to "`/usr/bin/getconf _NPROCESSORS_ONLN | /bin/awk '{print $1 - 0.2}'`"...
So I guess that somehow the last statement puts something wrong in the $LOAD variable (perhaps it should be
LOAD="/usr/bin/getconf _NPROCESSORS_ONLN | /bin/awk '{print $1 - 0.2}'"
rather than
LOAD=`/usr/bin/getconf _NPROCESSORS_ONLN | /bin/awk '{print $1 - 0.2}'`?

As workaround I executed manually the above statements (on my quadcore it give
"3.8") and replaced the "$LOAD" variable with the result value in the /etc/sysconfig/atd file.


Version-Release number of selected component (if applicable):
3.1.13-7

How reproducible:
Always

Steps to Reproduce:
1. Do an install of Rosa Desktop 2012.1 Fresh
2. Restart the PC
3. After the boot and the login do a "systemctl --failed" in a console
and look for atd.service
Comment 1 Dmitry Mikhirev 2012-12-28 14:44:34 MSK
Buildlists:
https://abf.rosalinux.ru/build_lists/870994
https://abf.rosalinux.ru/build_lists/870995

Advisory:
Error preventing atd to start was fixed.
Comment 2 Vladimir Potapov 2013-01-09 07:46:29 MSK
at-3.1.13-8-rosa2012.1
************* Advisory ***************
Error preventing atd to start was fixed.
**************************************
QA Verified